﻿namespace SyntezaMowy
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();

            pobierzGłosy();
        }

        private Locale[] głosy;
        private int indeksWybranegoGłosu = -1;

        private async void pobierzGłosy()
        {
            IEnumerable<Locale> _głosy = await TextToSpeech.GetLocalesAsync();
            głosy = _głosy.ToArray(); //to i dalsze wykonywane w osobnym wątku
            lvGlosy.ItemsSource = głosy.Select(g => g.Name); //modyfikujemy kontrolkę z innego wątku!?!
            if (głosy.Length > 0)
            {
                indeksWybranegoGłosu = 0;
                lvGlosy.SelectedItem = głosy[0].Name;
                btnCzytaj.IsEnabled = true;
            }
        }

        private void lvGlosy_ItemSelected(object sender, SelectedItemChangedEventArgs e)
        {
            indeksWybranegoGłosu = e.SelectedItemIndex;
        }

        private async void btnCzytaj_Clicked(object sender, EventArgs e)
        {
            SpeechOptions so = new SpeechOptions();
            so.Volume = (float)sGlosnosc.Value;
            so.Pitch = (float)sTon.Value;
            so.Locale = głosy[indeksWybranegoGłosu];
            await TextToSpeech.Default.SpeakAsync(edText.Text, so);
        }
    }

}
